Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface IPropertyType

    public interface IPropertyType

Base class for the meta-data for property types. Every property has a property type. The property type provides a display name, data validation methods, an XML name, and more.

Note that the property type information is a partial description of a property. Some types (such as choice) require further information specific to the property, such as the actual list of choices.

Field Summary
`static int` | `BOOLEAN_TYPE` Type code for the Boolean property type.
`static java.lang.String` | `BOOLEAN_TYPE_NAME` Name of the Boolean property type.
`static int` | `CHOICE_TYPE` Type code for the Choice property type.
`static java.lang.String` | `CHOICE_TYPE_NAME` Name of the Choice property type.
`static int` | `COLOR_TYPE` Type code for the Color property type.
`static java.lang.String` | `COLOR_TYPE_NAME` Name of the Color property type.
`static int` | `CONTENT_ELEMENT_TYPE` Type code for element attribute type.
`static java.lang.String` | `CONTENT_ELEMENT_TYPE_NAME` Type code for element attribute type.
`static int` | `DATE_TIME_TYPE` Type code for the Date time property type.
`static java.lang.String` | `DATE_TIME_TYPE_NAME` Name of the Date Time property type.
`static int` | `DIMENSION_TYPE` Type code for the Dimension property type.
`static java.lang.String` | `DIMENSION_TYPE_NAME` Name of the Dimension property type.
`static java.lang.String` | `ELEMENT_REF_NAME` Name of the Element reference property type.
`static int` | `ELEMENT_REF_TYPE` Type code for the Element reference property type.
`static int` | `ELEMENT_TYPE` Type code for element property type.
`static java.lang.String` | `ELEMENT_TYPE_NAME` Name of the element property type.
`static int` | `EXPRESSION_TYPE` Type code for the Expression property type.
`static java.lang.String` | `EXPRESSION_TYPE_NAME` Name of the Expression property type.
`static int` | `EXTENDS_TYPE` Type code for the Extends property type.
`static java.lang.String` | `EXTENDS_TYPE_NAME` Name of the Extends property type.
`static int` | `FLOAT_TYPE` Type code for the Float property type.
`static java.lang.String` | `FLOAT_TYPE_NAME` Name of the Float property type.
`static int` | `HTML_TYPE` Type code for the HTML property type.
`static java.lang.String` | `HTML_TYPE_NAME` Name of the HTML property type.
`static int` | `INTEGER_TYPE` Type code for the Integer property type.
`static java.lang.String` | `INTEGER_TYPE_NAME` Name of the Integer property type.
`static int` | `LIST_TYPE` Type code for the list property type.
`static java.lang.String` | `LIST_TYPE_NAME` Name of the list property type.
`static int` | `LITERAL_STRING_TYPE` Type code for the Literal String property type.
`static java.lang.String` | `LITERAL_STRING_TYPE_NAME` Name of the Literal String property type.
`static int` | `LOCALE_TYPE` Type code for locale property type.
`static java.lang.String` | `LOCALE_TYPE_NAME` Name of the locale property type.
`static java.lang.String` | `MEMBER_KEY_NAME` Name the key property type of a structure member.
`static int` | `MEMBER_KEY_TYPE` Type code for the key property type of a structure member.
`static int` | `NAME_TYPE` Type code for the Name property type.
`static java.lang.String` | `NAME_TYPE_NAME` Name of the Name property type.
`static int` | `NUMBER_TYPE` Type code for the Number property type.
`static java.lang.String` | `NUMBER_TYPE_NAME` Name of the Number property type.
`static java.lang.String` | `POINTS_TYPE_NAME` Name of the Points property type.
`static int` | `RESOURCE_KEY_TYPE` Type code for the resource key property type.
`static java.lang.String` | `RESOURCE_KEY_TYPE_NAME` Name of the Resource Key property type.
`static int` | `SCRIPT_TYPE` Type code for the Script property type.
`static java.lang.String` | `SCRIPT_TYPE_NAME` Name of the Script property type.
`static int` | `STRING_TYPE` Type code for the String property type.
`static java.lang.String` | `STRING_TYPE_NAME` Name of the String property type.
`static int` | `STRUCT_REF_TYPE` Type code for the structure reference property type.
`static java.lang.String` | `STRUCT_REF_TYPE_NAME` Name of the structure reference property type.
`static int` | `STRUCT_TYPE` Type code for the Structure property type.
`static java.lang.String` | `STRUCT_TYPE_NAME` Name of the Structure property type.
`static int` | `TYPE_COUNT` Number of types defined.
`static int` | `URI_TYPE` Type code for the URI property type.
`static java.lang.String` | `URI_TYPE_NAME` Name of the URI property type.
`static int` | `XML_TYPE` Type code for the XML property type.
`static java.lang.String` | `XML_TYPE_NAME` Name of the XML property type.

Method Summary
`IChoiceSet` | `getChoices()` Gets the set of choices for this type.
`java.lang.String` | `getDisplayName()` Returns the localized display name.
`java.lang.String` | `getDisplayNameKey()` Gets the display name resource key.
`java.lang.String` | `getName()` Returns the name to use in the XML design and XML metadata files.
`int` | `getTypeCode()` Returns the numeric code for this type.

Field Detail

### STRING_TYPE

    static final int STRING_TYPE

  Type code for the String property type.

  See Also:
    Constant Field Values

### NUMBER_TYPE

    static final int NUMBER_TYPE

  Type code for the Number property type.

  See Also:
    Constant Field Values

### INTEGER_TYPE

    static final int INTEGER_TYPE

  Type code for the Integer property type.

  See Also:
    Constant Field Values

### DIMENSION_TYPE

    static final int DIMENSION_TYPE

  Type code for the Dimension property type.

  See Also:
    Constant Field Values

### COLOR_TYPE

    static final int COLOR_TYPE

  Type code for the Color property type.

  See Also:
    Constant Field Values

### CHOICE_TYPE

    static final int CHOICE_TYPE

  Type code for the Choice property type.

  See Also:
    Constant Field Values

### BOOLEAN_TYPE

    static final int BOOLEAN_TYPE

  Type code for the Boolean property type.

  See Also:
    Constant Field Values

### EXPRESSION_TYPE

    static final int EXPRESSION_TYPE

  Type code for the Expression property type.

  See Also:
    Constant Field Values

### HTML_TYPE

    static final int HTML_TYPE

  Type code for the HTML property type.

  See Also:
    Constant Field Values

### RESOURCE_KEY_TYPE

    static final int RESOURCE_KEY_TYPE

  Type code for the resource key property type.

  See Also:
    Constant Field Values

### URI_TYPE

    static final int URI_TYPE

  Type code for the URI property type.

  See Also:
    Constant Field Values

### DATE_TIME_TYPE

    static final int DATE_TIME_TYPE

  Type code for the Date time property type.

  See Also:
    Constant Field Values

### XML_TYPE

    static final int XML_TYPE

  Type code for the XML property type.

  See Also:
    Constant Field Values

### NAME_TYPE

    static final int NAME_TYPE

  Type code for the Name property type.

  See Also:
    Constant Field Values

### FLOAT_TYPE

    static final int FLOAT_TYPE

  Type code for the Float property type.

  See Also:
    Constant Field Values

### ELEMENT_REF_TYPE

    static final int ELEMENT_REF_TYPE

  Type code for the Element reference property type.

  See Also:
    Constant Field Values

### STRUCT_TYPE

    static final int STRUCT_TYPE

  Type code for the Structure property type.

  See Also:
    Constant Field Values

### EXTENDS_TYPE

    static final int EXTENDS_TYPE

  Type code for the Extends property type.

  See Also:
    Constant Field Values

### SCRIPT_TYPE

    static final int SCRIPT_TYPE

  Type code for the Script property type.

  See Also:
    Constant Field Values

### STRUCT_REF_TYPE

    static final int STRUCT_REF_TYPE

  Type code for the structure reference property type.

  See Also:
    Constant Field Values

### LIST_TYPE

    static final int LIST_TYPE

  Type code for the list property type.

  See Also:
    Constant Field Values

### LITERAL_STRING_TYPE

    static final int LITERAL_STRING_TYPE

  Type code for the Literal String property type.

  See Also:
    Constant Field Values

### MEMBER_KEY_TYPE

    static final int MEMBER_KEY_TYPE

  Type code for the key property type of a structure member.

  See Also:
    Constant Field Values

### ELEMENT_TYPE

    static final int ELEMENT_TYPE

  Type code for element property type.

  See Also:
    Constant Field Values

### CONTENT_ELEMENT_TYPE

    static final int CONTENT_ELEMENT_TYPE

  Type code for element attribute type. This is different from ELEMENT_TYPE. Its behavior like STRUCT_TYPE and isList=true.

  See Also:
    Constant Field Values

### LOCALE_TYPE

    static final int LOCALE_TYPE

  Type code for locale property type.

  See Also:
    Constant Field Values

### TYPE_COUNT

    static final int TYPE_COUNT

  Number of types defined.

  See Also:
    Constant Field Values

### STRING_TYPE_NAME

    static final java.lang.String STRING_TYPE_NAME

  Name of the String property type.

  See Also:
    Constant Field Values

### NUMBER_TYPE_NAME

    static final java.lang.String NUMBER_TYPE_NAME

  Name of the Number property type.

  See Also:
    Constant Field Values

### INTEGER_TYPE_NAME

    static final java.lang.String INTEGER_TYPE_NAME

  Name of the Integer property type.

  See Also:
    Constant Field Values

### DIMENSION_TYPE_NAME

    static final java.lang.String DIMENSION_TYPE_NAME

  Name of the Dimension property type.

  See Also:
    Constant Field Values

### COLOR_TYPE_NAME

    static final java.lang.String COLOR_TYPE_NAME

  Name of the Color property type.

  See Also:
    Constant Field Values

### CHOICE_TYPE_NAME

    static final java.lang.String CHOICE_TYPE_NAME

  Name of the Choice property type.

  See Also:
    Constant Field Values

### BOOLEAN_TYPE_NAME

    static final java.lang.String BOOLEAN_TYPE_NAME

  Name of the Boolean property type.

  See Also:
    Constant Field Values

### EXPRESSION_TYPE_NAME

    static final java.lang.String EXPRESSION_TYPE_NAME

  Name of the Expression property type.

  See Also:
    Constant Field Values

### HTML_TYPE_NAME

    static final java.lang.String HTML_TYPE_NAME

  Name of the HTML property type.

  See Also:
    Constant Field Values

### RESOURCE_KEY_TYPE_NAME

    static final java.lang.String RESOURCE_KEY_TYPE_NAME

  Name of the Resource Key property type.

  See Also:
    Constant Field Values

### POINTS_TYPE_NAME

    static final java.lang.String POINTS_TYPE_NAME

  Name of the Points property type.

  See Also:
    Constant Field Values

### URI_TYPE_NAME

    static final java.lang.String URI_TYPE_NAME

  Name of the URI property type.

  See Also:
    Constant Field Values

### DATE_TIME_TYPE_NAME

    static final java.lang.String DATE_TIME_TYPE_NAME

  Name of the Date Time property type.

  See Also:
    Constant Field Values

### XML_TYPE_NAME

    static final java.lang.String XML_TYPE_NAME

  Name of the XML property type.

  See Also:
    Constant Field Values

### NAME_TYPE_NAME

    static final java.lang.String NAME_TYPE_NAME

  Name of the Name property type.

  See Also:
    Constant Field Values

### FLOAT_TYPE_NAME

    static final java.lang.String FLOAT_TYPE_NAME

  Name of the Float property type.

  See Also:
    Constant Field Values

### ELEMENT_REF_NAME

    static final java.lang.String ELEMENT_REF_NAME

  Name of the Element reference property type.

  See Also:
    Constant Field Values

### STRUCT_TYPE_NAME

    static final java.lang.String STRUCT_TYPE_NAME

  Name of the Structure property type.

  See Also:
    Constant Field Values

### EXTENDS_TYPE_NAME

    static final java.lang.String EXTENDS_TYPE_NAME

  Name of the Extends property type.

  See Also:
    Constant Field Values

### SCRIPT_TYPE_NAME

    static final java.lang.String SCRIPT_TYPE_NAME

  Name of the Script property type.

  See Also:
    Constant Field Values

### STRUCT_REF_TYPE_NAME

    static final java.lang.String STRUCT_REF_TYPE_NAME

  Name of the structure reference property type.

  See Also:
    Constant Field Values

### LIST_TYPE_NAME

    static final java.lang.String LIST_TYPE_NAME

  Name of the list property type.

  See Also:
    Constant Field Values

### LITERAL_STRING_TYPE_NAME

    static final java.lang.String LITERAL_STRING_TYPE_NAME

  Name of the Literal String property type.

  See Also:
    Constant Field Values

### MEMBER_KEY_NAME

    static final java.lang.String MEMBER_KEY_NAME

  Name the key property type of a structure member.

  See Also:
    Constant Field Values

### ELEMENT_TYPE_NAME

    static final java.lang.String ELEMENT_TYPE_NAME

  Name of the element property type.

  See Also:
    Constant Field Values

### CONTENT_ELEMENT_TYPE_NAME

    static final java.lang.String CONTENT_ELEMENT_TYPE_NAME

  Type code for element attribute type. This is different from ELEMENT_TYPE. Its behavior like STRUCT_TYPE and isList=true.

  See Also:
    Constant Field Values

### LOCALE_TYPE_NAME

    static final java.lang.String LOCALE_TYPE_NAME

  Name of the locale property type.

  See Also:
    Constant Field Values

Method Detail

### getDisplayName

    java.lang.String getDisplayName()

  Returns the localized display name.

  Returns:
    the localized display name

### getTypeCode

    int getTypeCode()

  Returns the numeric code for this type.

  Returns:
    the internal type code

### getName

    java.lang.String getName()

  Returns the name to use in the XML design and XML metadata files.

  Returns:
    the type name used in the XML design file

### getChoices

    IChoiceSet getChoices()

  Gets the set of choices for this type.

  Returns:
    the set of choices, or null if no choices are available

### getDisplayNameKey

    java.lang.String getDisplayNameKey()

  Gets the display name resource key.

  Returns:
    the display name message key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.